<?php
/**
 * Currencies
 *
 * @author    Pronamic <info@pronamic.eu>
 * @copyright 2005-2019 Pronamic
 * @license   GPL-3.0-or-later
 * @package   Pronamic\WordPress\Money
 */

namespace Pronamic\WordPress\Money;

/**
 * Currencies
 *
 * @link https://github.com/moneyphp/money/blob/v3.1.3/src/Currencies/ISOCurrencies.php#L90-L102
 * @link https://github.com/moneyphp/money/blob/v3.1.3/resources/currency.php
 *
 * @author Remco Tolsma
 * @version 1.2.2
 */
return array(
	array(
		'alphabetic_code' => 'AED',
		'numeric_code'    => '784',
		'name'            => __( 'UAE Dirham', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'AFN',
		'numeric_code'    => '971',
		'name'            => __( 'Afghan Afghani', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'ALL',
		'numeric_code'    => '008',
		'name'            => __( 'Albanian Lek', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'AMD',
		'numeric_code'    => '051',
		'name'            => __( 'Armenian Dram', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'ANG',
		'numeric_code'    => '532',
		'name'            => __( 'Netherlands Antillean Guilder', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'AOA',
		'numeric_code'    => '973',
		'name'            => __( 'Angolan Kwanza', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'ARS',
		'numeric_code'    => '032',
		'name'            => __( 'Argentine Peso', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'AUD',
		'numeric_code'    => '036',
		'name'            => __( 'Australian Dollar', 'pronamic-money' ),
		'symbol'          => '$',
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'AWG',
		'numeric_code'    => '533',
		'name'            => __( 'Aruban Florin', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'AZN',
		'numeric_code'    => '944',
		'name'            => __( 'Azerbaijan Manat', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'BAM',
		'numeric_code'    => '977',
		'name'            => __( 'Bosnia and Herzegovina Convertible Mark', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'BBD',
		'numeric_code'    => '052',
		'name'            => __( 'Barbados Dollar', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'BDT',
		'numeric_code'    => '050',
		'name'            => __( 'Bangladeshi Taka', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'BGN',
		'numeric_code'    => '975',
		'name'            => __( 'Bulgarian Lev', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'BHD',
		'numeric_code'    => '048',
		'name'            => __( 'Bahraini Dinar', 'pronamic-money' ),
		'symbol'          => '.د.ب',
		'number_decimals' => 3,
	),
	array(
		'alphabetic_code' => 'BIF',
		'numeric_code'    => '108',
		'name'            => __( 'Burundian Franc', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 0,
	),
	array(
		'alphabetic_code' => 'BMD',
		'numeric_code'    => '060',
		'name'            => __( 'Bermudian Dollar', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'BND',
		'numeric_code'    => '096',
		'name'            => __( 'Brunei Dollar', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'BOB',
		'numeric_code'    => '068',
		'name'            => __( 'Boliviano', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'BOV',
		'numeric_code'    => '984',
		'name'            => __( 'Bolivian Mvdol', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'BRL',
		'numeric_code'    => '986',
		'name'            => __( 'Brazilian Real', 'pronamic-money' ),
		'symbol'          => 'R$',
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'BSD',
		'numeric_code'    => '044',
		'name'            => __( 'Bahamian Dollar', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'BTN',
		'numeric_code'    => '064',
		'name'            => __( 'Bhutanese Ngultrum', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'BWP',
		'numeric_code'    => '072',
		'name'            => __( 'Botswana Pula', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'BYN',
		'numeric_code'    => '933',
		'name'            => __( 'Belarusian Ruble', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'BZD',
		'numeric_code'    => '084',
		'name'            => __( 'Belize Dollar', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'CAD',
		'numeric_code'    => '124',
		'name'            => __( 'Canadian Dollar', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'CDF',
		'numeric_code'    => '976',
		'name'            => __( 'Congolese Franc', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'CHE',
		'numeric_code'    => '947',
		'name'            => __( 'WIR Euro', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'CHF',
		'numeric_code'    => '756',
		'name'            => __( 'Swiss Franc', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'CHW',
		'numeric_code'    => '948',
		'name'            => __( 'WIR Franc', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'CLF',
		'numeric_code'    => '990',
		'name'            => __( 'Unidad de Fomento', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 4,
	),
	array(
		'alphabetic_code' => 'CLP',
		'numeric_code'    => '152',
		'name'            => __( 'Chilean Peso', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 0,
	),
	array(
		'alphabetic_code' => 'CNY',
		'numeric_code'    => '156',
		'name'            => __( 'Renminbi Yuan', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'COP',
		'numeric_code'    => '170',
		'name'            => __( 'Colombian Peso', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'COU',
		'numeric_code'    => '970',
		'name'            => __( 'Unidad de Valor Real', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'CRC',
		'numeric_code'    => '188',
		'name'            => __( 'Costa Rican Colon', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'CUC',
		'numeric_code'    => '931',
		'name'            => __( 'Cuban Convertible Peso', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'CUP',
		'numeric_code'    => '192',
		'name'            => __( 'Cuban Peso', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'CVE',
		'numeric_code'    => '132',
		'name'            => __( 'Cape Verde Escudo', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'CZK',
		'numeric_code'    => '203',
		'name'            => __( 'Czech Koruna', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'DJF',
		'numeric_code'    => '262',
		'name'            => __( 'Djiboutian Franc', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 0,
	),
	array(
		'alphabetic_code' => 'DKK',
		'numeric_code'    => '208',
		'name'            => __( 'Danish Krone', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'DOP',
		'numeric_code'    => '214',
		'name'            => __( 'Dominican Peso', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'DZD',
		'numeric_code'    => '012',
		'name'            => __( 'Algerian Dinar', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'EGP',
		'numeric_code'    => '818',
		'name'            => __( 'Egyptian Pound', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'ERN',
		'numeric_code'    => '232',
		'name'            => __( 'Eritrean Nakfa', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'ETB',
		'numeric_code'    => '230',
		'name'            => __( 'Ethiopian Birr', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'EUR',
		'numeric_code'    => '978',
		'name'            => __( 'Euro', 'pronamic-money' ),
		'symbol'          => '€',
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'FJD',
		'numeric_code'    => '242',
		'name'            => __( 'Fiji Dollar', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'FKP',
		'numeric_code'    => '238',
		'name'            => __( 'Falkland Islands Pound', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'GBP',
		'numeric_code'    => '826',
		'name'            => __( 'Pound Sterling', 'pronamic-money' ),
		'symbol'          => '£',
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'GEL',
		'numeric_code'    => '981',
		'name'            => __( 'Georgian Lari', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'GHS',
		'numeric_code'    => '936',
		'name'            => __( 'Ghanaian Cedi', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'GIP',
		'numeric_code'    => '292',
		'name'            => __( 'Gibraltar Pound', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'GMD',
		'numeric_code'    => '270',
		'name'            => __( 'Gambian Dalasi', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'GNF',
		'numeric_code'    => '324',
		'name'            => __( 'Guinean Franc', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 0,
	),
	array(
		'alphabetic_code' => 'GTQ',
		'numeric_code'    => '320',
		'name'            => __( 'Guatemalan Quetzal', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'GYD',
		'numeric_code'    => '328',
		'name'            => __( 'Guyanese Dollar', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'HKD',
		'numeric_code'    => '344',
		'name'            => __( 'Hong Kong Dollar', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'HNL',
		'numeric_code'    => '340',
		'name'            => __( 'Honduran Lempira', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'HRK',
		'numeric_code'    => '191',
		'name'            => __( 'Croatian Kuna', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'HTG',
		'numeric_code'    => '332',
		'name'            => __( 'Haitian Gourde', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'HUF',
		'numeric_code'    => '348',
		'name'            => __( 'Hungarian Forint', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'IDR',
		'numeric_code'    => '360',
		'name'            => __( 'Indonesian Rupiah', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'ILS',
		'numeric_code'    => '376',
		'name'            => __( 'Israeli New Sheqel', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'INR',
		'numeric_code'    => '356',
		'name'            => __( 'Indian Rupee', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'IQD',
		'numeric_code'    => '368',
		'name'            => __( 'Iraqi Dinar', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 3,
	),
	array(
		'alphabetic_code' => 'IRR',
		'numeric_code'    => '364',
		'name'            => __( 'Iranian Rial', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'ISK',
		'numeric_code'    => '352',
		'name'            => __( 'Icelandic Króna', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 0,
	),
	array(
		'alphabetic_code' => 'JMD',
		'numeric_code'    => '388',
		'name'            => __( 'Jamaican Dollar', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'JOD',
		'numeric_code'    => '400',
		'name'            => __( 'Jordanian Dinar', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 3,
	),
	array(
		'alphabetic_code' => 'JPY',
		'numeric_code'    => '392',
		'name'            => __( 'Japanese Yen', 'pronamic-money' ),
		'symbol'          => '¥',
		'number_decimals' => 0,
	),
	array(
		'alphabetic_code' => 'KES',
		'numeric_code'    => '404',
		'name'            => __( 'Kenyan Shilling', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'KGS',
		'numeric_code'    => '417',
		'name'            => __( 'Kyrgyzstani Som', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'KHR',
		'numeric_code'    => '116',
		'name'            => __( 'Cambodian Riel', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'KMF',
		'numeric_code'    => '174',
		'name'            => __( 'Comorian Franc ', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 0,
	),
	array(
		'alphabetic_code' => 'KPW',
		'numeric_code'    => '408',
		'name'            => __( 'North Korean Won', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'KRW',
		'numeric_code'    => '410',
		'name'            => __( 'South Korean Won', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 0,
	),
	array(
		'alphabetic_code' => 'KWD',
		'numeric_code'    => '414',
		'name'            => __( 'Kuwaiti Dinar', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 3,
	),
	array(
		'alphabetic_code' => 'KYD',
		'numeric_code'    => '136',
		'name'            => __( 'Cayman Islands Dollar', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'KZT',
		'numeric_code'    => '398',
		'name'            => __( 'Kazakhstani Tenge', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'LAK',
		'numeric_code'    => '418',
		'name'            => __( 'Lao Kip', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'LBP',
		'numeric_code'    => '422',
		'name'            => __( 'Lebanese Pound', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'LKR',
		'numeric_code'    => '144',
		'name'            => __( 'Sri Lankan Rupee', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'LRD',
		'numeric_code'    => '430',
		'name'            => __( 'Liberian Dollar', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'LSL',
		'numeric_code'    => '426',
		'name'            => __( 'Lesotho Loti', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'LYD',
		'numeric_code'    => '434',
		'name'            => __( 'Libyan Dinar', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 3,
	),
	array(
		'alphabetic_code' => 'MAD',
		'numeric_code'    => '504',
		'name'            => __( 'Moroccan Dirham', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'MDL',
		'numeric_code'    => '498',
		'name'            => __( 'Moldovan Leu', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'MGA',
		'numeric_code'    => '969',
		'name'            => __( 'Malagasy Ariary', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'MKD',
		'numeric_code'    => '807',
		'name'            => __( 'Macedonian Denar', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'MMK',
		'numeric_code'    => '104',
		'name'            => __( 'Myanmar Kyat', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'MNT',
		'numeric_code'    => '496',
		'name'            => __( 'Mongolian Tögrög', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'MOP',
		'numeric_code'    => '446',
		'name'            => __( 'Macanese Pataca', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'MRO',
		'numeric_code'    => '478',
		'name'            => __( 'Mauritanian Ouguiya', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'MUR',
		'numeric_code'    => '480',
		'name'            => __( 'Mauritian Rupee', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'MVR',
		'numeric_code'    => '462',
		'name'            => __( 'Maldivian Rufiyaa', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'MWK',
		'numeric_code'    => '454',
		'name'            => __( 'Malawian Kwacha', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'MXN',
		'numeric_code'    => '484',
		'name'            => __( 'Mexican Peso', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'MXV',
		'numeric_code'    => '979',
		'name'            => __( 'Mexican Unidad de Inversion (UDI)', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'MYR',
		'numeric_code'    => '458',
		'name'            => __( 'Malaysian Ringgit', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'MZN',
		'numeric_code'    => '943',
		'name'            => __( 'Mozambican Metical', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'NAD',
		'numeric_code'    => '516',
		'name'            => __( 'Namibian Dollar', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'NGN',
		'numeric_code'    => '566',
		'name'            => __( 'Nigerian Naira', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'NIO',
		'numeric_code'    => '558',
		'name'            => __( 'Nicaraguan Córdoba', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'NLG',
		'numeric_code'    => null,
		'name'            => __( 'Gulden', 'pronamic-money' ),
		'symbol'          => 'G',
		'number_decimals' => 4,
	),
	array(
		'alphabetic_code' => 'NOK',
		'numeric_code'    => '578',
		'name'            => __( 'Norwegian Krone', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'NPR',
		'numeric_code'    => '524',
		'name'            => __( 'Nepalese Rupee', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'NZD',
		'numeric_code'    => '554',
		'name'            => __( 'New Zealand Dollar', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'OMR',
		'numeric_code'    => '512',
		'name'            => __( 'Omani Rial', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 3,
	),
	array(
		'alphabetic_code' => 'PAB',
		'numeric_code'    => '590',
		'name'            => __( 'Panamanian Balboa', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'PEN',
		'numeric_code'    => '604',
		'name'            => __( 'Peruvian Sol', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'PGK',
		'numeric_code'    => '598',
		'name'            => __( 'Papua New Guinean Kina', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'PHP',
		'numeric_code'    => '608',
		'name'            => __( 'Philippine Peso', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'PKR',
		'numeric_code'    => '586',
		'name'            => __( 'Pakistani Rupee', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'PLN',
		'numeric_code'    => '985',
		'name'            => __( 'Polish Zloty', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'PYG',
		'numeric_code'    => '600',
		'name'            => __( 'Paraguayan Guaraní', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 0,
	),
	array(
		'alphabetic_code' => 'QAR',
		'numeric_code'    => '634',
		'name'            => __( 'Qatari Rial', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'RON',
		'numeric_code'    => '946',
		'name'            => __( 'Romanian Leu', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'RSD',
		'numeric_code'    => '941',
		'name'            => __( 'Serbian Dinar', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'RUB',
		'numeric_code'    => '643',
		'name'            => __( 'Russian Ruble', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'RWF',
		'numeric_code'    => '646',
		'name'            => __( 'Rwandan Franc', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 0,
	),
	array(
		'alphabetic_code' => 'SAR',
		'numeric_code'    => '682',
		'name'            => __( 'Saudi Riyal', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'SBD',
		'numeric_code'    => '090',
		'name'            => __( 'Solomon Islands Dollar', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'SCR',
		'numeric_code'    => '690',
		'name'            => __( 'Seychelles Rupee', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'SDG',
		'numeric_code'    => '938',
		'name'            => __( 'Sudanese Pound', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'SEK',
		'numeric_code'    => '752',
		'name'            => __( 'Swedish Krona', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'SGD',
		'numeric_code'    => '702',
		'name'            => __( 'Singapore Dollar', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'SHP',
		'numeric_code'    => '654',
		'name'            => __( 'Saint Helena Pound', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'SLL',
		'numeric_code'    => '694',
		'name'            => __( 'Sierra Leonean Leone', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'SOS',
		'numeric_code'    => '706',
		'name'            => __( 'Somali Shilling', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'SRD',
		'numeric_code'    => '968',
		'name'            => __( 'Surinamese Dollar', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'SSP',
		'numeric_code'    => '728',
		'name'            => __( 'South Sudanese Pound', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'STD',
		'numeric_code'    => '678',
		'name'            => __( 'São Tomé and Príncipe Dobra', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'SVC',
		'numeric_code'    => '222',
		'name'            => __( 'Salvadoran Colon', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'SYP',
		'numeric_code'    => '760',
		'name'            => __( 'Syrian Pound', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'SZL',
		'numeric_code'    => '748',
		'name'            => __( 'Swazi Lilangeni', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'THB',
		'numeric_code'    => '764',
		'name'            => __( 'Thai Baht', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'TJS',
		'numeric_code'    => '972',
		'name'            => __( 'Tajikistani Somoni', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'TMT',
		'numeric_code'    => '934',
		'name'            => __( 'Turkmenistan Manat', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'TND',
		'numeric_code'    => '788',
		'name'            => __( 'Tunisian Dinar', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 3,
	),
	array(
		'alphabetic_code' => 'TOP',
		'numeric_code'    => '776',
		'name'            => __( 'Tongan Pa’anga', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'TRY',
		'numeric_code'    => '949',
		'name'            => __( 'Turkish Lira', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'TTD',
		'numeric_code'    => '780',
		'name'            => __( 'Trinidad and Tobago Dollar', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'TWD',
		'numeric_code'    => '901',
		'name'            => __( 'New Taiwan Dollar', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'TZS',
		'numeric_code'    => '834',
		'name'            => __( 'Tanzanian Shilling', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'UAH',
		'numeric_code'    => '980',
		'name'            => __( 'Ukrainian Hryvnia', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'UGX',
		'numeric_code'    => '800',
		'name'            => __( 'Ugandan Shilling', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 0,
	),
	array(
		'alphabetic_code' => 'USD',
		'numeric_code'    => '840',
		'name'            => __( 'US Dollar', 'pronamic-money' ),
		'symbol'          => '$',
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'USN',
		'numeric_code'    => '997',
		'name'            => __( 'US Dollar (Next day)', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'UYI',
		'numeric_code'    => '940',
		'name'            => __( 'Uruguay Peso en Unidades Indexadas (URUIURUI)', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 0,
	),
	array(
		'alphabetic_code' => 'UYU',
		'numeric_code'    => '858',
		'name'            => __( 'Uruguayan Peso', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'UYW',
		'numeric_code'    => '927',
		'name'            => __( 'Unidad Previsional', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 4,
	),
	array(
		'alphabetic_code' => 'UZS',
		'numeric_code'    => '860',
		'name'            => __( 'Uzbekistan Som', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'VEF',
		'numeric_code'    => '937',
		'name'            => __( 'Venezuelan Bolívar Soberano', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'VND',
		'numeric_code'    => '704',
		'name'            => __( 'Vietnamese Dồng', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 0,
	),
	array(
		'alphabetic_code' => 'VUV',
		'numeric_code'    => '548',
		'name'            => __( 'Vanuatu Vatu', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 0,
	),
	array(
		'alphabetic_code' => 'WST',
		'numeric_code'    => '882',
		'name'            => __( 'Samoan Tala', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'XAF',
		'numeric_code'    => '950',
		'name'            => __( 'CFA Franc BEAC', 'pronamic-money' ),
		'symbol'          => 'CFA',
		'number_decimals' => 0,
	),
	array(
		'alphabetic_code' => 'XAG',
		'numeric_code'    => '961',
		'name'            => __( 'Silver', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 0,
	),
	array(
		'alphabetic_code' => 'XAU',
		'numeric_code'    => '959',
		'name'            => __( 'Gold', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 0,
	),
	array(
		'alphabetic_code' => 'XBA',
		'numeric_code'    => '955',
		'name'            => __( 'Bond Markets Unit European Composite Unit (EURCO)', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 0,
	),
	array(
		'alphabetic_code' => 'XBB',
		'numeric_code'    => '956',
		'name'            => __( 'Bond Markets Unit European Monetary Unit (E.M.U.-6)', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 0,
	),
	array(
		'alphabetic_code' => 'XBC',
		'numeric_code'    => '957',
		'name'            => __( 'Bond Markets Unit European Unit of Account 9 (E.U.A.-9)', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 0,
	),
	array(
		'alphabetic_code' => 'XBD',
		'numeric_code'    => '958',
		'name'            => __( 'Bond Markets Unit European Unit of Account 17 (E.U.A.-17)', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 0,
	),
	array(
		'alphabetic_code' => 'XCD',
		'numeric_code'    => '951',
		'name'            => __( 'East Caribbean Dollar', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'XDR',
		'numeric_code'    => '960',
		'name'            => __( 'SDR (Special Drawing Right)', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 0,
	),
	array(
		'alphabetic_code' => 'XOF',
		'numeric_code'    => '952',
		'name'            => __( 'CFA Franc BCEAO', 'pronamic-money' ),
		'symbol'          => 'CFA',
		'number_decimals' => 0,
	),
	array(
		'alphabetic_code' => 'XPD',
		'numeric_code'    => '964',
		'name'            => __( 'Palladium', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 0,
	),
	array(
		'alphabetic_code' => 'XPF',
		'numeric_code'    => '953',
		'name'            => __( 'CFP Franc', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 0,
	),
	array(
		'alphabetic_code' => 'XPT',
		'numeric_code'    => '962',
		'name'            => __( 'Platinum', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 0,
	),
	array(
		'alphabetic_code' => 'XSU',
		'numeric_code'    => '994',
		'name'            => __( 'Sucre', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 0,
	),
	array(
		'alphabetic_code' => 'XTS',
		'numeric_code'    => '963',
		'name'            => __( 'Code reserved for testing', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 0,
	),
	array(
		'alphabetic_code' => 'XUA',
		'numeric_code'    => '965',
		'name'            => __( 'ADB Unit of Account', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 0,
	),
	array(
		'alphabetic_code' => 'XXX',
		'numeric_code'    => '999',
		'name'            => __( 'No currency', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 0,
	),
	array(
		'alphabetic_code' => 'YER',
		'numeric_code'    => '886',
		'name'            => __( 'Yemeni Rial', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'ZAR',
		'numeric_code'    => '710',
		'name'            => __( 'South African Rand', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'ZMW',
		'numeric_code'    => '967',
		'name'            => __( 'Zambian Kwacha', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
	array(
		'alphabetic_code' => 'ZWL',
		'numeric_code'    => '932',
		'name'            => __( 'Zimbabwean Dollar', 'pronamic-money' ),
		'symbol'          => null,
		'number_decimals' => 2,
	),
);
